/*
 Babylon Service - lookup words in www.babylon.com
 Copyright © 2006 Nir Soffer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#import <Cocoa/Cocoa.h>

@interface BabylonService : NSObject 

#pragma mark Services

- (void)lookupSelectionService:(NSPasteboard *)pboard userData:(NSString *)data error:(NSString **)error;

#pragma mark Private

- (NSURL *)urlForTerm:(NSString *)aTerm language:(NSString *)language;

// Needed becasue stringByAddingPercentEscapesUsingEncoding: is broken,
// does not escape path component reserved characters.
- (NSString *)stringByAddingPercentEscapesToPathComponent:(NSString *)component;

@end
